> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Onchain Address Group

> Deletes an entry in the portfolio's onchain address groups.



## OpenAPI

````yaml DELETE /v1/portfolios/{portfolio_id}/onchain_address_group/{address_group_id}
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/onchain_address_group/{address_group_id}:
    delete:
      tags:
        - Onchain Address Book
      summary: Delete Onchain Address Group
      description: Deletes an entry in the portfolio's onchain address groups.
      operationId: PrimeRESTAPI_DeleteOnchainAddressGroup
      parameters:
        - name: portfolio_id
          in: path
          required: true
          schema:
            type: string
        - name: address_group_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ActivityCreationResponse
components:
  schemas:
    coinbase.public_rest_api.ActivityCreationResponse:
      required:
        - activity_id
        - activity_type
        - num_approvals_remaining
      type: object
      properties:
        activity_type:
          $ref: '#/components/schemas/coinbase.custody.api.ActivityType'
        num_approvals_remaining:
          type: integer
          format: int32
        activity_id:
          type: string
    coinbase.custody.api.ActivityType:
      title: >-
        - ACTIVITY_TYPE_WITHDRAWAL: PrimeActivityService Custody ActivityTypes
        that will replace the above
      type: string
      enum:
        - ACTIVITY_TYPE_GOVERNANCE_VOTE
        - ACTIVITY_TYPE_INVITATION
        - ACTIVITY_TYPE_WALLET_CHANGE
        - ACTIVITY_TYPE_API_KEY_CHANGE
        - ACTIVITY_TYPE_SETTINGS_CHANGE
        - ACTIVITY_TYPE_BILLING_PREFERENCE_CHANGE
        - ACTIVITY_TYPE_PAYMENT_METHOD_CHANGE
        - ACTIVITY_TYPE_WITHDRAWAL
        - ACTIVITY_TYPE_DEPOSIT
        - ACTIVITY_TYPE_CREATE_WALLET
        - ACTIVITY_TYPE_REMOVE_WALLET
        - ACTIVITY_TYPE_UPDATE_WALLET
        - ACTIVITY_TYPE_CAST_VOTE
        - ACTIVITY_TYPE_ENABLE_VOTING
        - ACTIVITY_TYPE_STAKE
        - ACTIVITY_TYPE_UNSTAKE
        - ACTIVITY_TYPE_CHANGE_VALIDATOR
        - ACTIVITY_TYPE_RESTAKE
        - ACTIVITY_TYPE_ADDRESS_BOOK
        - ACTIVITY_TYPE_TEAM_MEMBERS
        - ACTIVITY_TYPE_BILLING
        - ACTIVITY_TYPE_SECURITY
        - ACTIVITY_TYPE_API
        - ACTIVITY_TYPE_SETTINGS
        - ACTIVITY_TYPE_SMART_CONTRACT
        - ACTIVITY_TYPE_USER_CHANGE_REQUEST_NO_PAS
        - ACTIVITY_TYPE_WEB3_TRANSACTION
        - ACTIVITY_TYPE_WEB3_MESSAGE
        - ACTIVITY_TYPE_CLAIM_REWARDS

````